// Copyright (C) 2019 Marius Schellenberger

package render

import (
	"testing"
)

func TestTitleFunctions(t *testing.T) {
	section := "section"
	title := "title"
	combined := "section/title"
	t.Run("StoreTitle", func(t *testing.T) {
		if StoreTitle(section, title) != combined {
			t.Fail()
		}
	})
	t.Run("SplitStoreTitle", func(t *testing.T) {
		se, ti := SplitStoreTitle(combined)
		if se != section || ti != title {
			t.Fail()
		}
	})
	t.Run("SplitStoreTitleSingle", func(t *testing.T) {
		se, ti := SplitStoreTitle(section)
		if se != section || ti != "" {
			t.Fail()
		}
	})
	t.Run("Title", func(t *testing.T) {
		if Title("9ßw$%4h4t-8v74 287(G /SV&3[45v}=94#+?)") != "9w4h4t-8v74+287G+SV345v94" {
			t.Fail()
		}
	})
}
